[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / UseComponent

# Function: UseComponent()

> **UseComponent**\<`Component`\>(`component`, `setProperties`): (`target`, `propertyKey`) => `void`

Defined in: [packages/angular/form-system/src/lib/decorators/use-component.ts:6](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/decorators/use-component.ts#L6)

## Type Parameters

• **Component** *extends* `ControlValueAccessor`

## Parameters

### component

`Constructor`\<`Component`\>

### setProperties

`Partial`\<`Record`\<keyof `Component`, `any`\>\> = `{}`

## Returns

`Function`

### Parameters

#### target

`any`

#### propertyKey

`string`

### Returns

`void`
